--
-- Load an image (to be run in a thread)
--

require "love.graphics"
require "love.image"
require "love.filesystem"

local thread = love.thread.getThread()
local path = nil

while path == nil do
	path = thread:receive("path")
end

local image = love.graphics.newImage(path)

thread:send("image", image)
